Page MenuHomePhabricator

[Regression pre-wmf.10] After making an edit, clicking on "Edit Source" while VE is open, does not switch the editor anymore
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Open VE on Firefox.
  2. Click on Edit Source now.

It does not switch to the source editor.

There is no error in the console though.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2018, 11:08 PM
Ryasmeen renamed this task from [Regression pre-wmf.9] Clicking on "Edit Source" while VE is open, does not switch the editor on Firefox to [Regression pre-wmf.10] Clicking on "Edit Source" while VE is open, does not switch the editor on Firefox.Jun 26 2018, 11:42 PM
Deskana changed the task status from Open to Stalled.Jun 27 2018, 5:16 PM
Deskana triaged this task as High priority.

This is bad... but, so far, cannot be reproduced.

Here's the steps I took:

  1. Open Firefox (60.0.2 (64-bit))
  2. Go to https://en.wikipedia.beta.wmflabs.org/wiki/Selenium_Echo_mention_test_0.3370116106683877
  3. Click on "Edit" tab, and watch the visual editor load.
  4. Click on "Edit source" tab

Both the expected and actual output were seeing the "Switching to source editing" modal, then seeing the editor switch to source mode.

Am I missing something?

DLynch added a subscriber: DLynch.Jun 27 2018, 7:19 PM

As a version input, I tried it in Firefox 62, and also didn't see any problems.

This is bad... but, so far, cannot be reproduced.

Here's the steps I took:

  1. Open Firefox (60.0.2 (64-bit))
  2. Go to https://en.wikipedia.beta.wmflabs.org/wiki/Selenium_Echo_mention_test_0.3370116106683877
  3. Click on "Edit" tab, and watch the visual editor load.
  4. Click on "Edit source" tab

Both the expected and actual output were seeing the "Switching to source editing" modal, then seeing the editor switch to source mode.

Am I missing something?

No, I missed a step while trying to replicate it.

You need to save an edit first and then from second attempt onwards it won't switch.

Here are the exact steps:

  1. Open VE.
  2. Make an Edit and Save.
  3. Reopen VE.
  4. Now click on "Edit Source" tab.

Also, this is not Firefox specific, happening on Chrome too.

Ryasmeen renamed this task from [Regression pre-wmf.10] Clicking on "Edit Source" while VE is open, does not switch the editor on Firefox to [Regression pre-wmf.10] After making an edit, clicking on "Edit Source" while VE is open, does not switch the editor anymore.Jun 27 2018, 9:07 PM
DLynch claimed this task.Jun 27 2018, 11:27 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 442750 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] ArticleTarget switchToWikitextSection make sure switch happens

https://gerrit.wikimedia.org/r/442750

Deskana changed the task status from Stalled to Open.Jun 28 2018, 11:23 AM

Reproducible now.

DLynch added a comment.Jul 2 2018, 9:32 PM

QA note: when merged this patch has a chance of regressing T157755, so double-check behavior with single/multi edit tabs on pages with __NEWSECTIONLINK__.

Change 442750 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: consolidate edit tab behavior

https://gerrit.wikimedia.org/r/442750

The original issue is fixed. Also checked for regressions with both single and multi tabs by switching between different tabs in different orders and such. No new regressions found.

Deskana closed this task as Resolved.Jul 30 2018, 3:21 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 30 2018, 3:21 PM